#pragma once
#include "meta/hash.h"
namespace std
{
	template<> struct hash<engineapi::Guid>
	{
		size_t operator()(const engineapi::Guid& guid) const noexcept
		{
			const size_t* p = reinterpret_cast<const size_t*>(&guid);
			size_t seed = 0;
			meta::hash_combine(seed, p[0]);
			meta::hash_combine(seed, p[1]);
			return seed;
		}
	};
}